/* Linker script for LNSC-2420: STM32F0K6T6*/

/* Define memory regions. */
MEMORY
{
	rom (rx)  : ORIGIN = 0x08000000, LENGTH = 31K
	conf (r)  : ORIGIN = 0x08007c00, LENGTH = 1K
	ram (rwx) : ORIGIN = 0x20000000, LENGTH = 4K
}

/* Include the common ld script. */
INCLUDE cortex-m-generic.ld

SECTIONS
{
	.conf : {
		__conf_start = .;
		. = ALIGN(4);
	} >conf
}
