#ifndef LED_CHPLEX_H
#define LED_CHPLEX_H

#include <stdint.h>

#define LED_CHPLEX_IDX_SOLAR_ON         0
#define LED_CHPLEX_IDX_LOAD_ON          1
#define LED_CHPLEX_IDX_ERR_TEMP         2
#define LED_CHPLEX_IDX_ERR_LOAD         3
#define LED_CHPLEX_IDX_CHARGE_PULSE     4
#define LED_CHPLEX_IDX_DISCHARGE_PULSE  5

void led_chplex_init(void);
void led_chplex_periodic(void);

void led_chplex_on(uint8_t idx);
void led_chplex_off(uint8_t idx);
void led_chplex_toggle(uint8_t idx);

void led_chplex_mask(uint8_t mask);

void led_chplex_deepsleep_prepare(void);
void led_chplex_deepsleep_resume(void);

#endif // LED_CHPLEX_H
